# Copyright (c) 2012-2015, 2019-2020 Farsight Security, Inc.
# All Rights Reserved
#
# THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF FARSIGHT SECURITY, INC.
# The copyright notice above does not evidence any
# actual or intended publication of such source code.

import os
import sys
import syslog
import traceback

ERR = syslog.LOG_ERR
WARN = syslog.LOG_WARNING
NOTICE = syslog.LOG_NOTICE
INFO = syslog.LOG_INFO
DEBUG = syslog.LOG_DEBUG

log_opened = False

def openlog(identity=None):
    global log_opened

    if not identity:
        identity = os.path.basename(sys.argv[0])

    syslog.openlog(identity, 0, syslog.LOG_LOCAL1)
    log_opened = True

def log(priority, message):
    if not log_opened:
        openlog()
    syslog.syslog(priority, message)

def log_exception():
    traceback.print_exc()
